freemarker.core

## Class InvalidFormatStringException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.core.TemplateValueFormatException
      - - freemarker.core.InvalidFormatStringException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidFormatParametersException, UndefinedCustomFormatException

    public abstract class InvalidFormatStringException
    extends TemplateValueFormatException

Used when creating `TemplateDateFormat`-s and `TemplateNumberFormat`-s to indicate that the format string (like the value of the `dateFormat` setting) is malformed.

Since:
  2.3.24
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidFormatStringException(String message)`
`InvalidFormatStringException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidFormatStringException

    public InvalidFormatStringException(String message,
                                        Throwable cause)

#### InvalidFormatStringException

    public InvalidFormatStringException(String message)